> For the complete documentation index, see [llms.txt](https://docs.racemap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.racemap.com/data-export-from-racemap/loads-api.md).

# Hosted loads information

The loads API allows to retrieve hourly load data for specific endpoints over a set time period. By leveraging this API, you can automatically monitor load consumption.

## Request

**URL** `https://racemap.com/api/events/:eventId/loads?startTime=yyyy-mm-ddThh:mm:ss.SSSZ&endTime=yyyy-mm-ddThh:mm:ss.SSSZ`\
**Method** GET\
**Sample** <https://racemap.com/api/events/66bf4318d1c783279d183dd3/loads?startTime=2022-09-19T14:00:19.000Z&endTime=2024-09-23T23:59:59.999Z>

#### Query parameters

Set the event's start- and end times in UTC to specify the time frame for which you want to retrieve the load data.

{% hint style="info" %}

* String for API <mark style="background-color:red;">**?**</mark>**startTime=2024-09-11T06:00:00.000Z\&endTime=2024-09-11T09:00:00.000Z**
* Sample: <https://racemap.com/api/events/66e1410315ad59b9f52f1923/loads?startTime=2024-09-11T06:00:00.000Z&endTime=2024-09-11T09:00:00.000Z>
  {% endhint %}

## Response

<table><thead><tr><th width="139">Field</th><th>Description</th><th>Sample</th></tr></thead><tbody><tr><td><code>eventId</code></td><td>Unique id of event in RACEMAP, can be regular, group or stage event</td><td><code>"66bf4318d1c783279d183dd3"</code></td></tr><tr><td><code>time</code></td><td>Time in UTC</td><td><code>"2024-08-16T14:00:00.000Z"</code></td></tr><tr><td><code>type</code></td><td>Type of the endpoint</td><td><code>"MAP"</code> or <code>"TIMES_API"</code> or <code>"CURRENT_API"</code></td></tr><tr><td><code>count</code></td><td>Hourly number of loads</td><td><code>1</code> or <code>547</code></td></tr><tr><td><code>id</code></td><td>The unique id of the loads</td><td><code>"66bf5ccec31b3891a31c08e4"</code></td></tr></tbody></table>

### Sample response

```json
[
  {
    "eventId": "66e1410315ad59b9f52f192",
    "time": "2024-09-11T07:00:00.000Z",
    "type": "MAP",
    "count": 24,
    "id": "66e1444cc31b3891a31edd89"
  },
  {
    "eventId": "66e1410315ad59b9f52f192",
    "time": "2024-09-11T07:00:00.000Z",
    "type": "TIMES_API",
    "count": 1,
    "id": "66e147efc31b3891a3224d58"
  },
  {
    "eventId": "66e1410315ad59b9f52f192",
    "time": "2024-09-11T07:00:00.000Z",
    "type": "CURRENT_API",
    "count": 360,
    "id": "66e14937c31b3891a3237513"
  }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.racemap.com/data-export-from-racemap/loads-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
